Summary:	Open Source graphics base set for OpenTTD
Summary(pl.UTF-8):	Otwarty zestaw grafiki dla OpenTTD
Name:		openttd-opengfx
Version:	0.6.1
Release:	2
License:	GPL v2+
Group:		Applications/Games
Source0:	https://cdn.openttd.org/opengfx-releases/%{version}/opengfx-%{version}-source.tar.xz
# Source0-md5:	1d807ba8d79d440b93c3dfe68daa2bde
URL:		http://wiki.openttd.org/Graphics_Replacement
BuildRequires:	grfcodec >= 5.0.0
BuildRequires:	nml >= 0.5.0
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildConflicts:	gimp
Requires:	openttd-data >= 1.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenGFX is an open source graphics base set for OpenTTD which can
completely replace the TTD base set. The main goal of OpenGFX
therefore is to provide a set of free base graphics which make it
possible to play OpenTTD without requiring the (copyrighted) files
from the TTD CD.

%description -l pl.UTF-8
OpenGFX to otwarty zestaw grafiki dla gry OpenTTD, który całkowicie
zastępuje zestaw podstawowy TTD. Głównym celem OpenGFX jest
dostarczenie darmowej grafiki, która umożliwii grę w OpenTTD bez
konieczności posiadania oryginalnych plików z gry TTD, strzeżonych
prawami autorskimi.

%prep
%setup -q -n opengfx-%{version}-source

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

touch opengfx-%{version}.tar
%define ogfxdir %{_datadir}/openttd/baseset/opengfx-%{version}
%{__make} install \
	INSTALL_DIR="$RPM_BUILD_ROOT%{ogfxdir}" \
	DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changelog.txt README.md
%dir %{_datadir}/openttd/baseset/opengfx-%{version}
%{_datadir}/openttd/baseset/opengfx-%{version}/opengfx.obg
%{_datadir}/openttd/baseset/opengfx-%{version}/*.grf
%{_datadir}/openttd/baseset/opengfx-%{version}/*.txt
%changelog
* Sun May 23 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openttd-opengfx.git;a=log;h=master

* Sun May 23 2021 Jan Rękorajski <baggins@pld-linux.org> 8271087
- package owned dir, rel 2

* Sat May 01 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 93d023e
- up to 0.6.1

* Tue Apr 08 2014 Jacek Konieczny <jajcus@jajcus.net> 7988268
- Version: 0.5.0

* Tue Apr 08 2014 Jacek Konieczny <jajcus@jajcus.net> 76f49e1
- Version: 0.4.7

* Mon Apr 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 2a03402
- updated to 0.4.4

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> 08bc547
- updated to 0.4.1

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> a05a3c7
- updated to 0.4.1
- BuildRequires: nml
- BuildConflicts: gimp

* Thu Jun 09 2011 lisu <lisu@pld-linux.org> 7da692e
- updated to 0.3.4

* Thu Apr 21 2011 lisu <lisu@pld-linux.org> 4f5503f
- updated to 0.3.3

* Mon Jan 03 2011 lisu <lisu@pld-linux.org> f2f8245
- updated to 0.3.2
- drop obsoleted nforenum BR
- minimal version of grfcodec is 5.0.0

* Mon Sep 20 2010 lisu <lisu@pld-linux.org> 8c226e8
- updated for 0.3.1

* Mon Sep 20 2010 lisu <lisu@pld-linux.org> 2445d07
- up to 0.3.1

* Tue Sep 14 2010 lisu <lisu@pld-linux.org> 4783a45
- don't install docs in game's datadir

* Tue Sep 14 2010 lisu <lisu@pld-linux.org> b49c7e4
- updated to 0.3.0
- do not try to install docs in game's datadir (patch)

* Sat May 01 2010 sparky <sparky@pld-linux.org> f540339
- updated grfcodec and nforenum version

* Fri Apr 30 2010 lisu <lisu@pld-linux.org> 03e4dd3
- updated to 0.2.4

* Fri Apr 23 2010 lisu <lisu@pld-linux.org> 212fe75
- kill useless Obsoletes

* Fri Apr 23 2010 lisu <lisu@pld-linux.org> 5e01785
- name changed to openttd-opengfx
- kill BR: openttd-data (R is enough)

* Fri Apr 23 2010 lisu <lisu@pld-linux.org> 3d59647
- added to PLD

